summaryrefslogtreecommitdiffstats
path: root/convert-to-utf8
diff options
context:
space:
mode:
authorElad Alfassa <el.il@doom.co.il>2010-12-01 20:04:20 +0200
committerElad Alfassa <el.il@doom.co.il>2010-12-01 20:04:20 +0200
commit9141420aeed9b150355a4bfc9fb09e64f58281a9 (patch)
treef00978877893aa779e624a76d8660091072a8473 /convert-to-utf8
downloadconvert-to-utf8-master.tar.gz
convert-to-utf8-master.tar.xz
convert-to-utf8-master.zip
Initial commit, import everything to the git repositoryHEADmaster
Diffstat (limited to 'convert-to-utf8')
-rw-r--r--convert-to-utf841
1 files changed, 41 insertions, 0 deletions
diff --git a/convert-to-utf8 b/convert-to-utf8
new file mode 100644
index 0000000..63a3b80
--- /dev/null
+++ b/convert-to-utf8
@@ -0,0 +1,41 @@
+#!/bin/sh
+#Copyright (c) 2010 Tzafrir Choen, Elad Alfassa
+
+#Permission is hereby granted, free of charge, to any person obtaining a copy
+#of this software and associated documentation files (the "Software"), to deal
+#in the Software without restriction, including without limitation the rights
+#to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+#copies of the Software, and to permit persons to whom the Software is
+#furnished to do so, subject to the following conditions:
+
+#The above copyright notice and this permission notice shall be included in
+#all copies or substantial portions of the Software.
+
+#THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+#IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+#FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+#AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+#LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+#OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+#THE SOFTWARE.
+
+CHARSETS="UTF-8 windows-1255 cp862 ISO-8859-8"
+for FILE in "$@"; do
+ if [ ! -w "$FILE" ]
+ then
+ zenity --error --title="המרת קבצים" --text "הקובץ לא קיים $FILE, או שאין לך הרשאות לכתוב אליו"
+ continue
+ fi
+ newfile=`mktemp conv_XXXXXX` || exit 1 # FIXME: Error message?
+ for charset in $CHARSETS; do
+ if iconv -f "$charset" <"$FILE" >"$newfile" 2>/dev/null; then
+ mv "$newfile" "$FILE"
+ continue 2
+ fi
+ done
+ rm $newfile
+ zenity --error --title="המרת קבצים" --text "המרת הקובץ $FILE נכשלה."
+ exit
+done
+zenity --info --title="המרת קבצים" --text="ההמרה הסתיימה בהצלחה!"
+